#include <stdio.h>

/* Write a program to take convert a given temperature from degree Celsius to degree Fahrenheit and vice versa. The user
 * should enter the temperature and also indicate using a flag in which scale it is. The program should be able to
 * convert the temperature in the corresponding scale.
Hint: The formula for conversion is given by C = 5/9 * (F - 32)  where C is the temperature in the Celsius scale and F
in the Fahrenheit scale.

Input format: The input will have two lines. 
The first line will contain the flag: 0 means Celsius to Fahrenheit and 1 means Fahrenheit to Celsius
The second line will contain the temperature (in Fahrenheit or Celsius, depending upon the flag). The
data type is floating-point. 

Output format: value of the temperature (floating-point value, format --> 2 bits precision, use "%.2f\n" as the format
string).
NO LEADING OR TRAILING SPACES
*/

int main() {
	/* Don't modify anything above this line */
	int flag;
	float temp, finaltemp;

	scanf("%d",&flag);
	scanf("%f",&temp);

	if(flag == 0){
		/* Celsius to Fahrenheit */
		finaltemp = 9.0/5.0 * temp + 32.0;
	}
	else {
		/* Fahrenheit to Celsius */
		finaltemp = (temp - 32.0) * 5.0/9.0;
	}
	printf ("%.2f\n", finaltemp);


	/* Don't modify anything below this line */
	return 0;
}
