#include <stdio.h>

/* 
Mr. Sharma owes M rupees to a shop. We know that M is an integer, and (M > 1). He
has 1 rupee, 5 rupee, and 10 rupee coins. He has a lot of such coins and the number
of coins in each category is not a concern. However, he wants to minimize the number
of coins that he pays to the shopkeeper. For example, if he owes 11 rupees, he will
use only 2 coins: 1 ten rupee coin, and 1 one rupee coin. For a given value of M,
print the minimum number of coins.

Input format: The number M. It is an integer specified on a single line.

Output format: The minimum number of coins. (It is an integer, use the "%d\n" format
string)
NO LEADING OR TRAILING SPACES
*/

int main() {
	/* Don't modify anything above this line */
	int num,ones,fives=0,tens;
	scanf ("%d",&num);

	/* find the number of ones */
	ones = num % 5;
	num = num - ones;

	/* find the number of 5s */
	if (num % 10 == 5)  {
		fives = 1;
		num -= 5;
	}
	
	/* find the number of 10s */
	tens = num / 10;

	printf ("%d\n",(ones + fives+tens));


	/* Don't modify anything below this line */
	return 0;
}
