#include <stdio.h>

/*
   Given a positive integer N (>= 5). 
Let T1 = Number of 1s in its base 2 representation.
Let T2 = Number of 2s in its base 3 representation.
Print T1 - T2

Input format: The input will be a single positive integer (N) 

Output format: Print T1 - T2. Use "%d\n" as the format string. 
NO LEADING OR TRAILING SPACES
*/

int main() {
	/* Don't modify anything above this line */
	int num,numcopy, numones,numtwos;
	scanf ("%d\n",&num);

	/* find the number of 1s in its base 2 representation */
	numcopy = num;
	numones = 0;
	while (numcopy != 0){
		if (numcopy % 2 == 1)
			numones++;
		numcopy = numcopy / 2;
	}

	/* find the number of 2s in its base 3 representation */
	numcopy = num;
	numtwos = 0;
	while (numcopy != 0){
		if (numcopy % 3 == 2)
			numtwos++;
		numcopy = numcopy / 3;
	}

	printf ("%d\n",(numones - numtwos));


	/* Don't modify anything below this line */
	return 0;
}
