#include <stdio.h>

/*
Write a C program to reverse a number, and also print if the reversed number
is prime or not. If the number is prime print 1, else print 0.

Input format:  The input will contain a single positive integer (>= 10).

Output format: The output will contain a single line. It will have
the reversed number and a number indicating whether the reversed number is prime
or not. 

For example, if the input is 13, the output should be:
31 1

If the input is 20, the output should be:
2 0

NO LEADING OR TRAILING SPACES
*/

int main() {
	/* Don't modify anything above this line */
	int num, revnum = 0;
	int j, isPrime;

	scanf("%d",&num);

	/* reverse the number */
	while (num != 0){
		revnum = revnum * 10 + num % 10;
		num = num / 10;
	}


	/* find if it is prime or not */
	isPrime = 1;
	for(j=2; j < revnum; j++){
		if (revnum % j == 0){
			isPrime = 0;
			break;
		}
	}

	/* print */
	printf ("%d %d\n",revnum, isPrime);

	/* Don't modify anything below this line */
	return 0;
}














