#include <stdio.h>

/*
Write a C program find the median of a set of n numbers, where n is odd. The median of a set of n numbers is defined
as the middle element, where n/2 elements are greater than or equal to the median, and n/2 elements are less
than or equal to the median. 

Input format:  The input will have one integer per line. Keep reading the integers
till you encounter a -1 (Repeated calls to scanf). Once you encounter -1, the 
input has terminated. Note that -1 is NOT a valid input. It just indicates that
the input has ended. Do not use the value, -1, in your program. You are guaranteed
to get at least 1 valid integer as input. 

Output format: The output will be an integer (which is the median). Use "%d" as the format string.
NO LEADING OR TRAILING SPACES
*/

int main() {
	/* Don't modify anything above this line */
	int nums[10];
	int n, count = 0, i, j, val, lesscount;
	while(1){
		scanf ("%d",&n);
		if (n == -1) break;
		nums[count++] = n;
	}

	/* check if each number is the median */
	for(i=0; i < count; i++){
		val = nums[i];

		/* there should be exactly count/2 nums less than it */
		lesscount = 0;
		for (j=0; j < count; j++){
			if (i == j) continue; /* disregard itself */
			if (nums[j] <= val)
				lesscount++;
		}

		if (lesscount == count/2) {
			printf ("%d\n",val);
			break;
		}
	}

	/* Don't modify anything below this line */
	return 0;
}














