#include <stdio.h>

/* 
1) Write a C program to print the following grid of numbers for any given input integer n (>= 1).
Example:

Input: 4

Output:
1 2 3 4
2 3 4 1 
3 4 1 2
4 1 2 3

Input: 6

Output:
1 2 3 4 5 6
2 3 4 5 6 1
3 4 5 6 1 2 
4 5 6 1 2 3
5 6 1 2 3 4
6 1 2 3 4 5

The logic is that we start the ith row with i (count starts from 1). We then count up till n. Subsequently,
the next digit is 1, and again we start incrementing the number. There will be n numbers in each row.

Input format:  The number n (integer, and n >= 1)

Output format: Multiple rows. In each row the list of integers are separated by a single space (' '). There are
no spaces at the beginning or end of a line. 

NO LEADING OR TRAILING SPACES IN ANY LINE
*/

int main() {
	/* Don't modify anything above this line */
	int num,i,j,val;
	scanf ("%d",&num);

	for (i=1; i <= num; i++){
		
		/* print the row */
		for (j = 0; j < num; j++) {
			val = (i +j)%num;
			if (val == 0) 
				val = num;
			printf ("%d", val);
			
			if(j == (num-1)) 
				printf ("\n");
			else printf (" ");
		}
	}

	/* Don't modify anything below this line */
	return 0;
}
