#include <stdio.h>

/*
   Given two integers n1 and n2, where (n1 >= 1, n2 >=1, n2 >= n1). 
   ** S3 = Sum of all the numbers between n1 and n2 (n1 and n2 included), which are a multiple of 3
   ** S8 = Sum of all the numbers between n1 and n2 (n1 and n2 included), which are a multiple of 8
   Print |S3 - S8|

   A number x is a multiple of another number y if there is a unique integer n such that x = ny
   |x| refers to the absolute value of x. For example: |3| = 3, |-3| = 3
   DO NOT use any function from the math library or any other built in function to compute the absolute value.

Input format: The numbers n1 and n2. Use the command: scanf ("%d %d",&n1, &n2);

Output format: The absolute value of the difference (single integer). Use "%d\n" as the format string. 

NO LEADING OR TRAILING SPACES IN ANY LINE
*/

int main() {
	/* Don't modify anything above this line */
	int n1, n2,i,diff;
	int mul3=0, mul8 = 0;
	scanf ("%d %d",&n1, &n2);

	for (i=n1; i<= n2; i++){
		if (i % 3 == 0)
			mul3++;
		if(i%8 == 0)
			mul8++;
	}

	diff = mul3 - mul8;
	if (diff < 0)
		diff = -1 * diff;

	printf ("%d\n",diff);

	/* Don't modify anything below this line */
	return 0;
}


